<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class WisataSeeder extends Seeder
{
    public function run()
    {
        $wisata = [
            ['nama_wisata' => 'Kawah Ijen', 'alamat' => 'https://maps.app.goo.gl/xEJp7EWLat4wZ7nU6', 'sub_kriteria_id' => 1, 'gambar' => 'kawah-ijen.jpg', 'deskripsi' => null, 'jam_operasional' => '02.00-11.00', 'harga_tiket' => '30000', 'fasilitas' => 'Parkiran, Toilet, Musholla, Tempat Makan, Penginapan', 'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Kawah Wurung', 'alamat' => 'https://maps.app.goo.gl/FkZPvumS2xxhdCji9', 'sub_kriteria_id' => 1, 'gambar' => 'kawah_wurung.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet, Penginapan, Tempat Makan', 'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Pemandangan Arak-Arak', 'alamat' => 'https://maps.app.goo.gl/FsGMJPR4XnKJH4cu6', 'sub_kriteria_id' => 1, 'gambar' => 'arak_arak.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-17.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet, Musholla, Tempat Bermain, Tempat Makan, Spot Foto', 'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Air Terjun Tancak Kembar', 'alamat' => 'https://maps.app.goo.gl/d7acgMpQD6JL85KY9', 'sub_kriteria_id' => 1, 'gambar' => 'tancak_kembar.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet',  'akses' => 'Motor, Mobil'],
            ['nama_wisata' => 'Air Terjun Blawan', 'alamat' => 'https://maps.app.goo.gl/PJX1DatAcxxAkZNR8', 'sub_kriteria_id' => 1, 'gambar' => 'air_terjun_blawan.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet, Musholla',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Aliran Asam Kali Pait', 'alamat' => 'https://maps.app.goo.gl/cBqqGxcuALS3Cds87', 'sub_kriteria_id' => 1, 'gambar' => 'kali_pait.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '0', 'fasilitas' => 'Parkiran',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Pemandian Air Panas Blawan', 'alamat' => 'https://maps.app.goo.gl/QZLm4TdycsR9j8m19', 'sub_kriteria_id' => 1, 'gambar' => 'air_panas_blawan.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => "Taman Batu So'on Solor", 'alamat' => 'https://maps.app.goo.gl/h5YHf7GSnJsXe9DQ9', 'sub_kriteria_id' => 1, 'gambar' => 'taman_batu_soon.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet, Musholla, Tempat Bermain, Tempat Makan, Spot Foto',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Dinding Kaldera Ijen Megasari', 'alamat' => 'https://maps.app.goo.gl/myo3MFGfWS5etnFm7', 'sub_kriteria_id' => 1, 'gambar' => 'kaldera_megasari.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet, Musholla',  'akses' => 'Motor'],
            ['nama_wisata' => 'Bosamba Rafting', 'alamat' => 'https://maps.app.goo.gl/BFiRM5Kntp8wTZ71A', 'sub_kriteria_id' => 1, 'gambar' => 'bosamba_rafting.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '175000', 'fasilitas' => 'Parkiran, Gazebo, Musholla, Toile',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Pendakian Gunung Raung', 'alamat' => 'https://maps.app.goo.gl/YFiXqeN2SuALXNi27', 'sub_kriteria_id' => 1, 'gambar' => 'gunung_raung.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '50000', 'fasilitas' => 'Parkiran, Musholla, Papan Informasi, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Hutan Pelangi', 'alamat' => 'https://maps.app.goo.gl/jCr9FRmZcjVCfAMj8', 'sub_kriteria_id' => 1, 'gambar' => 'hutan_pelangi.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Papan Informasi',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Aliran Lava Plalangan (Black Lava Planglangan)', 'alamat' => 'https://maps.app.goo.gl/KGFQMmfLcUYhcKkq9', 'sub_kriteria_id' => 1, 'gambar' => 'lava_plalangan.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Toilet, Musholla, Gazebo',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Air Terjun Gentongan', 'alamat' => 'https://maps.app.goo.gl/ra8RiBwLkTYPzZYj7', 'sub_kriteria_id' => 1, 'gambar' => 'air_terjun_gentongan.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '0', 'fasilitas' => 'Papan Informasi',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Lava blawan (Air terjun Litle Niagara Mini)', 'alamat' => 'https://maps.app.goo.gl/Q6t5iLcpAp9EHvKa7', 'sub_kriteria_id' => 1, 'gambar' => 'lava_blawan.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Musholla, Gazebo',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Pemandian Tasnan Baru', 'alamat' => 'https://maps.app.goo.gl/TGoZTc7b2MukT79cA', 'sub_kriteria_id' => 2, 'gambar' => 'tasnan_baru.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Kolam Renang Al- Amin', 'alamat' => 'https://maps.app.goo.gl/n3bjhCusvYzKqLc66', 'sub_kriteria_id' => 2, 'gambar' => 'kolam_renang_alamin.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '5000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf,Bus'],
            ['nama_wisata' => 'Kolam Renang WOW Putra Demang', 'alamat' => 'https://maps.app.goo.gl/xcgxm4PqMLFo6RRp7', 'sub_kriteria_id' => 2, 'gambar' => 'kolam_renang_wow.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '7500', 'fasilitas' => 'Parkiran, Musholla, Toilet, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Wisata Bukit Luwih', 'alamat' => 'https://maps.app.goo.gl/FVcR4XUQd3ToK29J6', 'sub_kriteria_id' => 2, 'gambar' => 'bukit_luwih.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '5000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Navara Waterpark', 'alamat' => 'https://maps.app.goo.gl/a7D8opWgAburakh26', 'sub_kriteria_id' => 2, 'gambar' => 'navara_waterpark.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Gazebo, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Wisata Teduh Glamping', 'alamat' => 'https://maps.app.goo.gl/HRgpo4aBwZKSQLUGA', 'sub_kriteria_id' => 2, 'gambar' => 'teduh_glamping.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '5000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Gazebo, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Wisata Desa Agrapana Sumber Kalong', 'alamat' => 'https://maps.app.goo.gl/HMbWcXwSTBpxieSC6', 'sub_kriteria_id' => 2, 'gambar' => 'desa_agrapana.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '5000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Gazebo, Spot Foto',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Adua Waterpark', 'alamat' => 'https://maps.app.goo.gl/xS2thFbNXRK9wY2YA', 'sub_kriteria_id' => 2, 'gambar' => 'adua_waterpark.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Parkiran, Musholla, Toilet, Tempat Makan, Penginapan',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Makam Ki Ronggo', 'alamat' => 'https://maps.app.goo.gl/pBigV7QK4VvWNgLC6', 'sub_kriteria_id' => 3, 'gambar' => 'makam_ki_ronggo.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '5000', 'fasilitas' => 'Parkiran, Toilet, Musholla, Tempat Makan',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Makam Kiai Mas Prajekan', 'alamat' => 'https://maps.app.goo.gl/ZvFmmJePYR5B5W8j7', 'sub_kriteria_id' => 3, 'gambar' => 'makam_kiai_mas.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '5000', 'fasilitas' => 'Parkiran, Toilet, Musholla',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Museum Kereta Api Bondowoso', 'alamat' => 'https://maps.app.goo.gl/gRAtpH9Qum4uo5wE6', 'sub_kriteria_id' => 3, 'gambar' => 'museum_kereta_api.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '0', 'fasilitas' => 'Parkiran, Musholla, Toilet, Papan Informasi',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Padepokan Seni Gema Buana', 'alamat' => 'https://maps.app.goo.gl/UgtizpdJU7gqxUgM7', 'sub_kriteria_id' => 3, 'gambar' => 'padepokan_seni.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '3000', 'fasilitas' => 'Parkiran, Toilet, Musholla, Tempat Bermain',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Pusat Informasi Megalit', 'alamat' => 'https://maps.app.goo.gl/EX51aEWNPeNyQcnu5', 'sub_kriteria_id' => 3, 'gambar' => 'pusat_informasi_megalit.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '0', 'fasilitas' => 'Parkiran, Toilet, Musholla, Gazebo, Tempat Bermain',  'akses' => 'Motor, Mobil, Mobil Elf, Bus'],
            ['nama_wisata' => 'Gua Butha Jirek Mas', 'alamat' => 'https://maps.app.goo.gl/gmH5vyd7TeFUUKUs5', 'sub_kriteria_id' => 3, 'gambar' => 'gua_butha_jirek_mas.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Gazebo, Papan Informasi',  'akses' => 'Motor, Mobil, Mobil Elf'],
            ['nama_wisata' => 'Gua Butha Sumber Canting Kluncing', 'alamat' => 'https://maps.app.goo.gl/LSJ6zkb3S68e7wNP7', 'sub_kriteria_id' => 3, 'gambar' => 'gua_butha_sumber_canting.jpg', 'deskripsi' => null, 'jam_operasional' => '08.00-16.00', 'harga_tiket' => '10000', 'fasilitas' => 'Papan Informasi',  'akses' => 'Motor, Mobil, Mobil Elf'],
        ];

        $this->db->table('wisata')->insertBatch($wisata);
    }
}
